| Home | Libraries | People | FAQ | More

## Function template parse_delimited_time_duration

boost::date_time::parse_delimited_time_duration —

Creates a time_duration object from a delimited string.

## Synopsis

    template<typename time_duration>
      time_duration parse_delimited_time_duration(const std::string & s);

## Description

Expected format for string is "[-]h[h][:mm][:ss][.fff]". A negative duration will be created if the first character in string is a '-', all other '-' will be treated as delimiters. Accepted delimiters are "-:,.".

| Copyright © 2001-2004 CrystalClear Software, Inc